<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:26 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (bookMicroservice 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#addAuthor-com.example.bookMicroservice.models.Author-">addAuthor(Author)</a></span> - Method in class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BookController.html#addBook-com.example.bookMicroservice.models.Book-">addBook(Book)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></dt>
<dd>
<div class="block">create a new book</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BookService.html#addBook-com.example.bookMicroservice.models.Book-">addBook(Book)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/Author.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Author</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Author.html#Author--">Author()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Author.html" title="class in com.example.bookMicroservice.models">Author</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">AuthorRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">AuthorService</span></a> - Class in <a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#AuthorService--">AuthorService()</a></span> - Constructor for class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><a href="com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Book</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Book.html#Book--">Book()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/BookCategory.html" title="enum in com.example.bookMicroservice.models"><span class="typeNameLink">BookCategory</span></a> - Enum in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">BookController</span></a> - Class in <a href="com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a></dt>
<dd>
<div class="block">A controller that handles all http request related to book</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BookController.html#BookController--">BookController()</a></span> - Constructor for class <a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">BookDto</span></a> - Class in <a href="com/example/bookMicroservice/dto/package-summary.html">com.example.bookMicroservice.dto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/dto/BookDto.html#BookDto--">BookDto()</a></span> - Constructor for class <a href="com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto">BookDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">BookDtoMapper</span></a> - Class in <a href="com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html#BookDtoMapper--">BookDtoMapper()</a></span> - Constructor for class <a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper">BookDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html#bookDtoToBook-com.example.bookMicroservice.dto.BookDto-">bookDtoToBook(BookDto)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper">BookDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/BookMicroserviceApplication.html" title="class in com.example.bookMicroservice"><span class="typeNameLink">BookMicroserviceApplication</span></a> - Class in <a href="com/example/bookMicroservice/package-summary.html">com.example.bookMicroservice</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/BookMicroserviceApplication.html#BookMicroserviceApplication--">BookMicroserviceApplication()</a></span> - Constructor for class <a href="com/example/bookMicroservice/BookMicroserviceApplication.html" title="class in com.example.bookMicroservice">BookMicroserviceApplication</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">BookRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">BookService</span></a> - Class in <a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BookService.html#BookService--">BookService()</a></span> - Constructor for class <a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html#bookToBookDTO-com.example.bookMicroservice.models.Book-">bookToBookDTO(Book)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper">BookDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">BusinessController</span></a> - Class in <a href="com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BusinessController.html#BusinessController--">BusinessController()</a></span> - Constructor for class <a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller">BusinessController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">BusinessService</span></a> - Class in <a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#BusinessService-com.example.bookMicroservice.repositories.BookRepository-com.example.bookMicroservice.repositories.LibraryRepository-com.example.bookMicroservice.repositories.StockRepository-com.example.bookMicroservice.repositories.AuthorRepository-com.example.bookMicroservice.repositories.MagazineRepository-">BusinessService(BookRepository, LibraryRepository, StockRepository, AuthorRepository, MagazineRepository)</a></span> - Constructor for class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><a href="com/example/bookMicroservice/package-summary.html">com.example.bookMicroservice</a> - package com.example.bookMicroservice</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/beans/package-summary.html">com.example.bookMicroservice.beans</a> - package com.example.bookMicroservice.beans</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a> - package com.example.bookMicroservice.controller</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/dto/package-summary.html">com.example.bookMicroservice.dto</a> - package com.example.bookMicroservice.dto</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/exceptions/package-summary.html">com.example.bookMicroservice.exceptions</a> - package com.example.bookMicroservice.exceptions</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a> - package com.example.bookMicroservice.mapper</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a> - package com.example.bookMicroservice.models</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a> - package com.example.bookMicroservice.repositories</dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a> - package com.example.bookMicroservice.services</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BookController.html#delete-com.example.bookMicroservice.models.Book-">delete(Book)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></dt>
<dd>
<div class="block">delete book from database</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#deleteAuthor-com.example.bookMicroservice.models.Author-">deleteAuthor(Author)</a></span> - Method in class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BookService.html#deleteBook-com.example.bookMicroservice.models.Book-">deleteBook(Book)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BusinessController.html#doSale-com.example.bookMicroservice.beans.SaleBean-">doSale(SaleBean)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller">BusinessController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#doSale-com.example.bookMicroservice.beans.SaleBean-">doSale(SaleBean)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/StockRepository.html#existsByLibraryNameAndBookNameAndQuantityIsGreaterThanEqual-java.lang.String-java.lang.String-java.lang.Long-">existsByLibraryNameAndBookNameAndQuantityIsGreaterThanEqual(String, String, Long)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories">StockRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html#existsByName-java.lang.String-">existsByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories">AuthorRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/BookRepository.html#existsByName-java.lang.String-">existsByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html#existsByName-java.lang.String-">existsByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories">LibraryRepository</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html#findBookByName-java.lang.String-">findBookByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories">LibraryRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/MagazineRepository.html#findByBookCategory-com.example.bookMicroservice.models.BookCategory-">findByBookCategory(BookCategory)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories">MagazineRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/StockRepository.html#findByLibraryName-java.lang.String-">findByLibraryName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories">StockRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/StockRepository.html#findByLibraryNameAndBookName-java.lang.String-java.lang.String-">findByLibraryNameAndBookName(String, String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories">StockRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/AuthorRepository.html#findByName-java.lang.String-">findByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories">AuthorRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/BookRepository.html#findByName-java.lang.String-">findByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories">BookRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/LibraryRepository.html#findByName-java.lang.String-">findByName(String)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories">LibraryRepository</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/repositories/StockRepository.html#findByStockKeyLibraryId-java.lang.Long-">findByStockKeyLibraryId(Long)</a></span> - Method in interface <a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories">StockRepository</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/MagazineController.html#getAll--">getAll()</a></span> - Method in class <a href="com/example/bookMicroservice/controller/MagazineController.html" title="class in com.example.bookMicroservice.controller">MagazineController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/NovelController.html#getAll--">getAll()</a></span> - Method in class <a href="com/example/bookMicroservice/controller/NovelController.html" title="class in com.example.bookMicroservice.controller">NovelController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/MagazineService.html#getAll--">getAll()</a></span> - Method in class <a href="com/example/bookMicroservice/services/MagazineService.html" title="class in com.example.bookMicroservice.services">MagazineService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/NovelService.html#getAll--">getAll()</a></span> - Method in class <a href="com/example/bookMicroservice/services/NovelService.html" title="class in com.example.bookMicroservice.services">NovelService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#getAllAuthors--">getAllAuthors()</a></span> - Method in class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#getAllBooks--">getAllBooks()</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BusinessController.html#getAllBooksByLibraryName-java.lang.String-">getAllBooksByLibraryName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller">BusinessController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#getAuthorById-java.lang.Long-">getAuthorById(Long)</a></span> - Method in class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/AuthorService.html#getAuthorByName-java.lang.String-">getAuthorByName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BookController.html#getBokkById-java.lang.Long-">getBokkById(Long)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></dt>
<dd>
<div class="block">This method returns book by id</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BookService.html#getBookById-java.lang.Long-">getBookById(Long)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#getBookById-java.lang.Long-">getBookById(Long)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BookController.html#getbookByName-java.lang.String-">getbookByName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></dt>
<dd>
<div class="block">return book properties by book name</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BookService.html#getBookByName-java.lang.String-">getBookByName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></dt>
<dd>
<div class="block">get book by book name</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#getBooksByLibraryName-java.lang.String-">getBooksByLibraryName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#getMagazinesByLibraryName-java.lang.String-">getMagazinesByLibraryName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#getNovelsByLibraryName-java.lang.String-">getNovelsByLibraryName(String)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:H">
<!--   -->
</a>
<h2 class="title">H</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html#handleConflict-java.lang.RuntimeException-org.springframework.web.context.request.WebRequest-">handleConflict(RuntimeException, WebRequest)</a></span> - Method in class <a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html" title="class in com.example.bookMicroservice.exceptions">RestResponseEntityExceptionHandler</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><a href="com/example/bookMicroservice/models/Library.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Library</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Library.html#Library--">Library()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Library.html" title="class in com.example.bookMicroservice.models">Library</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">LibraryRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><a href="com/example/bookMicroservice/models/Magazine.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Magazine</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Magazine.html#Magazine--">Magazine()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Magazine.html" title="class in com.example.bookMicroservice.models">Magazine</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/controller/MagazineController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">MagazineController</span></a> - Class in <a href="com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/MagazineController.html#MagazineController--">MagazineController()</a></span> - Constructor for class <a href="com/example/bookMicroservice/controller/MagazineController.html" title="class in com.example.bookMicroservice.controller">MagazineController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/dto/MagazineDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">MagazineDto</span></a> - Class in <a href="com/example/bookMicroservice/dto/package-summary.html">com.example.bookMicroservice.dto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/dto/MagazineDto.html#MagazineDto--">MagazineDto()</a></span> - Constructor for class <a href="com/example/bookMicroservice/dto/MagazineDto.html" title="class in com.example.bookMicroservice.dto">MagazineDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">MagazineDtoMapper</span></a> - Class in <a href="com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html#MagazineDtoMapper--">MagazineDtoMapper()</a></span> - Constructor for class <a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper">MagazineDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html#magazineDtoToMagazine-com.example.bookMicroservice.dto.MagazineDto-">magazineDtoToMagazine(MagazineDto)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper">MagazineDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">MagazineRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/MagazineService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">MagazineService</span></a> - Class in <a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/MagazineService.html#MagazineService--">MagazineService()</a></span> - Constructor for class <a href="com/example/bookMicroservice/services/MagazineService.html" title="class in com.example.bookMicroservice.services">MagazineService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html#magazineToMagazineDTO-com.example.bookMicroservice.models.Magazine-">magazineToMagazineDTO(Magazine)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper">MagazineDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/BookMicroserviceApplication.html#main-java.lang.String:A-">main(String[])</a></span> - Static method in class <a href="com/example/bookMicroservice/BookMicroserviceApplication.html" title="class in com.example.bookMicroservice">BookMicroserviceApplication</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#mostSoldNovelByAuthor-java.lang.Long-">mostSoldNovelByAuthor(Long)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/dto/MagazineDto.html#netReleaseDate">netReleaseDate</a></span> - Variable in class <a href="com/example/bookMicroservice/dto/MagazineDto.html" title="class in com.example.bookMicroservice.dto">MagazineDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/Novel.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Novel</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Novel.html#Novel--">Novel()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Novel.html" title="class in com.example.bookMicroservice.models">Novel</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/controller/NovelController.html" title="class in com.example.bookMicroservice.controller"><span class="typeNameLink">NovelController</span></a> - Class in <a href="com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/NovelController.html#NovelController--">NovelController()</a></span> - Constructor for class <a href="com/example/bookMicroservice/controller/NovelController.html" title="class in com.example.bookMicroservice.controller">NovelController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/dto/NovelDto.html" title="class in com.example.bookMicroservice.dto"><span class="typeNameLink">NovelDto</span></a> - Class in <a href="com/example/bookMicroservice/dto/package-summary.html">com.example.bookMicroservice.dto</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/dto/NovelDto.html#NovelDto--">NovelDto()</a></span> - Constructor for class <a href="com/example/bookMicroservice/dto/NovelDto.html" title="class in com.example.bookMicroservice.dto">NovelDto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper"><span class="typeNameLink">NovelDtoMapper</span></a> - Class in <a href="com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html#NovelDtoMapper--">NovelDtoMapper()</a></span> - Constructor for class <a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper">NovelDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html#novelDtoToNovel-com.example.bookMicroservice.dto.NovelDto-">novelDtoToNovel(NovelDto)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper">NovelDtoMapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">NovelRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/services/NovelService.html" title="class in com.example.bookMicroservice.services"><span class="typeNameLink">NovelService</span></a> - Class in <a href="com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/NovelService.html#NovelService--">NovelService()</a></span> - Constructor for class <a href="com/example/bookMicroservice/services/NovelService.html" title="class in com.example.bookMicroservice.services">NovelService</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html#novelToNovelDTO-com.example.bookMicroservice.models.Novel-">novelToNovelDTO(Novel)</a></span> - Static method in class <a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper">NovelDtoMapper</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="com/example/bookMicroservice/exceptions/ObjectAlreadyExistsException.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">ObjectAlreadyExistsException</span></a> - Exception in <a href="com/example/bookMicroservice/exceptions/package-summary.html">com.example.bookMicroservice.exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/exceptions/ObjectAlreadyExistsException.html#ObjectAlreadyExistsException--">ObjectAlreadyExistsException()</a></span> - Constructor for exception <a href="com/example/bookMicroservice/exceptions/ObjectAlreadyExistsException.html" title="class in com.example.bookMicroservice.exceptions">ObjectAlreadyExistsException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/exceptions/ObjectNotFoundException.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">ObjectNotFoundException</span></a> - Exception in <a href="com/example/bookMicroservice/exceptions/package-summary.html">com.example.bookMicroservice.exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/exceptions/ObjectNotFoundException.html#ObjectNotFoundException--">ObjectNotFoundException()</a></span> - Constructor for exception <a href="com/example/bookMicroservice/exceptions/ObjectNotFoundException.html" title="class in com.example.bookMicroservice.exceptions">ObjectNotFoundException</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#recentCookiesMagazine--">recentCookiesMagazine()</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html" title="class in com.example.bookMicroservice.exceptions"><span class="typeNameLink">RestResponseEntityExceptionHandler</span></a> - Class in <a href="com/example/bookMicroservice/exceptions/package-summary.html">com.example.bookMicroservice.exceptions</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html#RestResponseEntityExceptionHandler--">RestResponseEntityExceptionHandler()</a></span> - Constructor for class <a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html" title="class in com.example.bookMicroservice.exceptions">RestResponseEntityExceptionHandler</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="com/example/bookMicroservice/beans/SaleBean.html" title="class in com.example.bookMicroservice.beans"><span class="typeNameLink">SaleBean</span></a> - Class in <a href="com/example/bookMicroservice/beans/package-summary.html">com.example.bookMicroservice.beans</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/beans/SaleBean.html#SaleBean--">SaleBean()</a></span> - Constructor for class <a href="com/example/bookMicroservice/beans/SaleBean.html" title="class in com.example.bookMicroservice.beans">SaleBean</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/controller/BusinessController.html#saleValidation-com.example.bookMicroservice.beans.SaleBean-">saleValidation(SaleBean)</a></span> - Method in class <a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller">BusinessController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/services/BusinessService.html#saleValidation-com.example.bookMicroservice.beans.SaleBean-">saleValidation(SaleBean)</a></span> - Method in class <a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/Stock.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">Stock</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/Stock.html#Stock--">Stock()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/Stock.html" title="class in com.example.bookMicroservice.models">Stock</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/models/StockKey.html" title="class in com.example.bookMicroservice.models"><span class="typeNameLink">StockKey</span></a> - Class in <a href="com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/StockKey.html#StockKey--">StockKey()</a></span> - Constructor for class <a href="com/example/bookMicroservice/models/StockKey.html" title="class in com.example.bookMicroservice.models">StockKey</a></dt>
<dd>&nbsp;</dd>
<dt><a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="typeNameLink">StockRepository</span></a> - Interface in <a href="com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/BookCategory.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum <a href="com/example/bookMicroservice/models/BookCategory.html" title="enum in com.example.bookMicroservice.models">BookCategory</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="com/example/bookMicroservice/models/BookCategory.html#values--">values()</a></span> - Static method in enum <a href="com/example/bookMicroservice/models/BookCategory.html" title="enum in com.example.bookMicroservice.models">BookCategory</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:H">H</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2020. All Rights Reserved.</small></p>
</body>
</html>
